%define DATE 20020221
%define gcc_version 3.0.4
%define gcc_release 1
Summary: Various compilers (C, C++, Objective-C, Java, ...).
Name: gcc3
Version: 3.0.4
Release: %{gcc_release}
Copyright: GPL
Group: Development/Languages
Source0: gcc-%{version}-%{DATE}.tar.bz2
URL: http://gcc.gnu.org
BuildRoot: /var/tmp/gcc-root
BuildRequires: binutils >= 2.11.90.0.8-12
BuildRequires: zlib-devel
Requires: binutils >= 2.11.90.0.8-12
Requires: glibc-devel
Requires: libgcc >= %{version}-%{release}
Prereq: /sbin/install-info

Patch1: gcc3-SHF_MERGE.patch
Patch2: gcc3-java-libs.patch
Patch3: gcc3-c++-weak-address.patch
Patch4: gcc3-boehm-gc-libs.patch
Patch5: gcc3-boehm-gc-dyn_load.patch
Patch6: gcc3-ia64-vararg.patch
Patch7: gcc3-c++-template-throw.patch
Patch8: gcc3-2.96-RH-tests.patch
Patch9: gcc3-bogus-inline.patch
Patch10: gcc3-c++-frepo-env.patch
Patch11: gcc3-invalid-stabs.patch
Patch12: gcc3-reg-stack-clobber.patch
Patch13: gcc3-store-expr.patch
Patch14: gcc3-typos.patch
Patch15: gcc3-recog-addressof.patch
Patch16: gcc3-libf2c-LFS.patch
Patch17: gcc3-alpha-SHF_MERGE.patch
Patch18: gcc3-fastjar-system-zlib.patch

%description
The gcc3 package contains the GNU Compiler Collection version 3.0.


%package -n libgcc
Summary: GCC version 3.0 shared support library.
Group: System Environment/Libraries

%description -n libgcc
Some GCC version 3.0 and later compiled libraries and/or binaries
need this shared support library.

%package c++
Summary: C++ support for gcc.
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: libstdc++3 = %{version}
Requires: libstdc++3-devel = %{version}

%description c++
This package adds C++ support to the GNU C compiler version 3.0.
It includes support for most of the current C++ specification,
including templates and exception handling.

%package -n libstdc++3
Summary: GNU Standard C++ Library version 3.
Group: System Environment/Libraries

%description -n libstdc++3
The libstdc++ package contains a rewritten standard compliant GCC Standard
C++ Library version 3.0.

%package -n libstdc++3-devel
Summary: Header files and libraries for C++ development.
Group: Development/Libraries
Requires: libstdc++3 = %{version}-%{release}

%description -n libstdc++3-devel
This is the GNU implementation of the standard C++ libraries. This
package includes the header files and libraries needed for C++
development. This includes rewritten implementation of STL.

%package objc
Summary: Objective C support for gcc version 3.
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: gcc-objc >= 2.96-94

%description objc
gcc3-objc provides Objective C support for the GNU C compiler version 3.0.
Mainly used on systems running NeXTSTEP, Objective C is an
object-oriented derivative of the C language.

%package g77
Summary: Fortran 77 support for gcc version 3.
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}

%description g77
The gcc3-g77 package provides support for compiling Fortran 77
programs with the GNU gcc compiler version 3.0.

%package java
Summary: Java support for gcc version 3.
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}, libgcj3 >= %{version}, libgcj3-devel >= %{version}

%description java
This package adds support for compiling Java(tm) programs and
bytecode into native code. To use this you will also need the libgcj3 and
libgcj3-devel packages.

%package -n libgcj3
Summary: Java runtime library for gcc.
Group: System Environment/Libraries
Requires: zip >= 2.1
%ifnarch ia64
Requires: libgcj >= 2.96-26
%endif
Obsoletes: gcc-libgcj
Prereq: /sbin/install-info

%description -n libgcj3
The Java runtime library. You will need this package to run your Java
programs compiled using the gcc version 3 Java compiler (gcj3).

%package -n libgcj3-devel
Summary: Libraries for Java development using gcc version 3.
Group: Development/Languages
Requires: zip >= 2.1, libgcj3 = %{version}

%description -n libgcj3-devel
The Java static libraries and C header files. You will need this
package to compile your Java programs using the gcc version 3
Java compiler (gcj3).

%prep
%setup -q -n gcc-%{version}-%{DATE}
%patch1 -p0 -b .shf_merge
%patch2 -p0 -b .java-libs
%patch3 -p0 -b .c++-weak-address
%patch4 -p0 -b .boehm-gc-libs
%patch5 -p0 -b .boehm-gc-dyn_load
%patch6 -p0 -b .ia64-vararg
%patch7 -p0 -b .c++-template-throw
%patch8 -p0 -b .2.96-RH-tests
%patch9 -p0 -b .bogus-inline
%patch10 -p0 -b .c++-frepo-env
%patch11 -p0 -b .invalid-stabs
%patch12 -p0 -b .reg-stack-clobber
%patch13 -p0 -b .store-expr
%patch14 -p0 -b .typos
%patch15 -p0 -b .recog-addressof
%patch16 -p0 -b .libf2c-LFS
%patch17 -p0 -b .alpha-SHF_MERGE
%patch18 -p0 -b .fastjar-system-zlib

perl -pi -e 's/"%{gcc_version}"/"%{gcc_version} \(release\)"/' gcc/version.c
perl -pi -e 's/\(release\)/\(Red Hat Linux 7.2 %{version}-%{gcc_release}\)/' gcc/version.c gcc/f/version.c
perl -pi -e 's/#define GCCBUGURL.*$/#define GCCBUGURL "<URL:http:\/\/bugzilla.redhat.com\/bugzilla\/>"/' gcc/system.h

%build
rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}

CC=gcc
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
%ifarch ia64
# Add -mb-step automatically -- this will go away when production
# hardware is available.
OPT_FLAGS="$OPT_FLAGS -mb-step"
%endif
CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" XCFLAGS="$OPT_FLAGS" TCFLAGS="$OPT_FLAGS" \
	../configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
	--enable-shared --enable-threads=posix --disable-checking --host=%{_target_platform} \
	--with-system-zlib

# if RPM_BUILD_NCPUS unset, set it
if [ -z "$RPM_BUILD_NCPUS" ] ; then
  if [ -x /usr/bin/getconf ] ; then
    RPM_BUILD_NCPUS=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $RPM_BUILD_NCPUS -eq 0 ]; then
      RPM_BUILD_NCPUS=1
    fi
  else
    RPM_BUILD_NCPUS=1
  fi
fi

make -j$RPM_BUILD_NCPUS bootstrap-lean
#make -j$RPM_BUILD_NCPUS bootstrap

# run the tests.
# rpm seems to terminate when make -k check fails.
# make -k check || true

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/g77 rpm.doc/objc
mkdir -p rpm.doc/boehm-gc rpm.doc/fastjar rpm.doc/libffi rpm.doc/libjava

(cd gcc/f; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done)
(cd libf2c; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done)
(cd gcc/objc; for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done)
(cd libobjc; for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done)
(cd boehm-gc; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/boehm-gc/$i.gc
done)
(cd fastjar; for i in ChangeLog* README*; do
	cp -p $i ../rpm.doc/fastjar/$i.fastjar
done)
(cd libffi; for i in ChangeLog* README* LICENSE; do
	cp -p $i ../rpm.doc/libffi/$i.libffi
done)
(cd libjava; for i in ChangeLog* README*; do
	cp -p $i ../rpm.doc/libjava/$i.libjava
done)

%install
rm -fr $RPM_BUILD_ROOT

cd obj-%{_target_platform}
TARGET_PLATFORM=%{_target_platform}

# There are some MP bugs in libstdc++ and libjava Makefiles
make -C *-redhat-linux/libstdc++-v3
make -C *-redhat-linux/libjava

make prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
  infodir=$RPM_BUILD_ROOT%{_infodir} install

FULLVER=`$RPM_BUILD_ROOT%{_prefix}/bin/%{_target_platform}-gcc --version | \
	cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT%{_prefix}/lib/gcc-lib/%{_target_platform}/$FULLVER/cc1)

if [ "%{_target_platform}" != "%{_target_platform}" ]; then
  mv -f $RPM_BUILD_ROOT%{_prefix}/bin/%{_target_platform}-gcc $RPM_BUILD_ROOT%{_prefix}/bin/%{_target_platform}-gcc
fi

file $RPM_BUILD_ROOT/%{_prefix}/bin/* | grep ELF | cut -d':' -f1 | xargs strip || :
strip $FULLPATH/{cc1,cc1obj,cc1plus,cpp0,tradcpp0,f771,jc1,jvgenmain}

# fix some things

mv $RPM_BUILD_ROOT%{_prefix}/bin/gcc $RPM_BUILD_ROOT%{_prefix}/bin/gcc3
mv $RPM_BUILD_ROOT%{_prefix}/bin/g++ $RPM_BUILD_ROOT%{_prefix}/bin/g++3
mv $RPM_BUILD_ROOT%{_prefix}/bin/g77 $RPM_BUILD_ROOT%{_prefix}/bin/g77-3
mv $RPM_BUILD_ROOT%{_prefix}/bin/c++filt $RPM_BUILD_ROOT%{_prefix}/bin/c++3filt
mv $RPM_BUILD_ROOT%{_prefix}/bin/gcj $RPM_BUILD_ROOT%{_prefix}/bin/gcj3
mv $RPM_BUILD_ROOT%{_prefix}/bin/gcjh $RPM_BUILD_ROOT%{_prefix}/bin/gcjh3
mv $RPM_BUILD_ROOT%{_prefix}/bin/jcf-dump $RPM_BUILD_ROOT%{_prefix}/bin/jcf3-dump
mv $RPM_BUILD_ROOT%{_prefix}/bin/jv-scan $RPM_BUILD_ROOT%{_prefix}/bin/jv3-scan
mv $RPM_BUILD_ROOT%{_prefix}/bin/jv-convert $RPM_BUILD_ROOT%{_prefix}/bin/jv3-convert
mv $RPM_BUILD_ROOT%{_prefix}/bin/gij $RPM_BUILD_ROOT%{_prefix}/bin/gij3
mv $RPM_BUILD_ROOT%{_prefix}/bin/jar $RPM_BUILD_ROOT%{_prefix}/bin/jar3

mv $RPM_BUILD_ROOT%{_prefix}/lib/libgcj.a $FULLPATH/
mv $RPM_BUILD_ROOT%{_prefix}/lib/libgcjgc.a $FULLPATH/
sed 's/-lgcjgc//g;s/-lzgcj//g;s/-lpthread//g' $RPM_BUILD_ROOT%{_prefix}/lib/libgcj.spec > $FULLPATH/libgcj.spec
mv $RPM_BUILD_ROOT%{_prefix}/include/j*.h $FULLPATH/include/
mv -f $RPM_BUILD_ROOT%{_prefix}/include/{java,gnu,gcj} $FULLPATH/include/

mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgcc_s.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}-%{DATE}.so.1
chmod 755 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}-%{DATE}.so.1
ln -sf libgcc_s-%{gcc_version}-%{DATE}.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.1
ln -sf ../../%{_lib}/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgcc_s.so
#mv -f $FULLPATH/libobjc.so.1* %{_prefix}/%{_lib}/
pushd $FULLPATH
if [ "%{_lib}" = "lib" ]; then
ln -sf ../../../libobjc.so.1 libobjc.so
ln -sf ../../../libstdc++.so.3.* libstdc++.so
ln -sf ../../../libgcj.so.2.* libgcj.so
else
ln -sf ../../../../%{_lib}/libobjc.so.1 libobjc.so
ln -sf ../../../../%{_lib}/libstdc++.so.3.* libstdc++.so
ln -sf ../../../../%{_lib}/libgcj.so.2.* libgcj.so
fi
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libstdc++.*a .
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libsupc++.*a .
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgcc -p /sbin/ldconfig

%postun -n libgcc -p /sbin/ldconfig

%post -n libstdc++3
if [ "%{_prefix}/%{_lib}" != /usr/lib ]; then
  if ! grep -q '^%{_prefix}/%{_lib}$' /etc/ld.so.conf; then
    echo %{_prefix}/%{_lib} >>/etc/ld.so.conf
  fi
fi
/sbin/ldconfig

%postun -n libstdc++3 -p /sbin/ldconfig

%post objc -p /sbin/ldconfig

%postun objc -p /sbin/ldconfig

%post -n libgcj3 -p /sbin/ldconfig

%postun -n libgcj3 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/bin/gcc3
%dir %{_prefix}/lib/gcc-lib
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/stddef.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/stdarg.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/varargs.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/float.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/limits.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/stdbool.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/iso646.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/syslimits.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/proto.h
%ifarch ia64
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/ia64intrin.h
%endif
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/README
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/cc1
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/collect2
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/crt*.o
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libgcc.a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/specs
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/cpp0
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/tradcpp0
%{_prefix}/%{_lib}/libgcc_s.so
%doc gcc/README* gcc/*ChangeLog*

%files -n libgcc
%defattr(-,root,root)
/%{_lib}/libgcc_s-%{gcc_version}-%{DATE}.so.1
/%{_lib}/libgcc_s.so.1

%files c++
%defattr(-,root,root)
%{_prefix}/bin/g++3
%{_prefix}/bin/c++3filt
%dir %{_prefix}/lib/gcc-lib
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/cc1plus
%doc gcc/cp/ChangeLog*

%files -n libstdc++3
%defattr(-,root,root)
%{_prefix}/%{_lib}/libstdc++.so.3*

%files -n libstdc++3-devel
%defattr(-,root,root)
%{_prefix}/include/g++-v3
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libstdc++.so
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libstdc++.*a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libsupc++.*a
%doc libstdc++-v3/ChangeLog* libstdc++-v3/README*

%files objc
%defattr(-,root,root)
%dir %{_prefix}/lib/gcc-lib
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/objc
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/cc1obj
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libobjc.a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libobjc.la
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libobjc.so
#%{_prefix}/%{_lib}/libobjc.so.1*
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog

%files g77
%defattr(-,root,root)
%{_prefix}/bin/g77-3
%dir %{_prefix}/lib/gcc-lib
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/f771
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libg2c.a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/g2c.h
%doc gcc/f/README rpm.doc/g77/*

%files java
%defattr(-,root,root)
%{_prefix}/bin/gcj3
%{_prefix}/bin/gcjh3
%{_prefix}/bin/jcf3-dump
%{_prefix}/bin/jv3-scan
%dir %{_prefix}/lib/gcc-lib
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}
%dir %{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/jc1
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/jvgenmain
%doc gcc/java/ChangeLog*

%files -n libgcj3
%defattr(-,root,root)
%{_prefix}/bin/jv3-convert
%{_prefix}/bin/gij3
%{_prefix}/bin/jar3
%{_prefix}/%{_lib}/libgcj.so.*
%ifarch ia64
%{_prefix}/%{_lib}/libgcjgc.so.*
%endif
%{_prefix}/share/libgcj.jar

%files -n libgcj3-devel
%defattr(-,root,root)
%{_prefix}/bin/addr2name.awk
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libgcj.a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libgcjgc.a
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libgcj.so
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/libgcj.spec
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/j*.h
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/java
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/gnu
%{_prefix}/lib/gcc-lib/%{_target_platform}/%{gcc_version}/include/gcj
%doc rpm.doc/boehm-gc/* rpm.doc/fastjar/* rpm.doc/libffi/*
%doc rpm.doc/libjava/*

%changelog
* Thu Feb 21 2002 Jakub Jelinek <jakub@redhat.com> 3.0.4-1
- update to 3.0.4 final
- link against system -lz

* Tue Dec  4 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-5
- fix SHF_MERGE patch on Alpha

* Tue Oct  2 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-4
- update from CVS 3.0 branch
  - ia64 function descriptors in vtables
- handle large files in Fortran (#53328)
- allow Java programs to be statically linked (#53605)
- remove #include_next patch, Benjamin commited it

* Thu Sep  6 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-3
- don't use #include_next in <bits/std_c*> headers (Benjamin Kosnik, #53262)

* Wed Sep  5 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-2
- update from CVS 3.0 branch
- check all gcc-2.96-RH patches whether they have made it into 3.0.1,
  and if not, whether they are appropriate for 3.0.1
- 8 new patches
  - add 36 testcases from gcc-2.96-RH
  - fix ICE on very questionable C++ code from JDK (#39858, #52960)
  - fix -frepo (Nathan Sidwell, #52877)
  - avoid generating bogus .stabs (#49214)
  - issue a clear error message about invalid ia32 floating point
    asm constraints (#27137)
  - fix some comment typos
  - fix ADDRESSOF recognition (#29686)

* Mon Aug 27 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-1
- update from CVS (3.0.1 final)
- properly handle throw() exception specifiers in template decls (#51824)
- fix IA-64 varargs handling in presence of additional anonymous arguments
  (#50757)
- fix boehm-gc for prelink
- fix a typo in gcc3-c++ description (#52323)
- remove Chill from package summary (#51764)

* Tue Aug  7 2001 Jakub Jelinek <jakub@redhat.com> 3.0-6
- update from CVS
  - fix glibc vfprintf miscompilation
- don't warn about if (&foo) if foo is weak (H.J.Lu, #50855)

* Wed Jul 25 2001 Jakub Jelinek <jakub@redhat.com> 3.0-5
- include libgcjgc.a in libgcj3-devel
- include libgcjgc.so.* in libgcj3 on ia64
- remove dependency on libgcj on ia64
- add ldconfig to libgcj3 post/postun

* Tue Jul 24 2001 Jakub Jelinek <jakub@redhat.com> 3.0-4
- update from CVS
- make gcc3-java/libgcj3* packages, so that they can coexist
  with 2.96-RH Java
- make sure shared Java libraries are built with proper dependencies

* Wed Jul 11 2001 Jakub Jelinek <jakub@redhat.com> 3.0-3
- fix libgcc_s.so and libstdc++.so symlinks
- don't ship jar

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 3.0-2
- move libstdc++.so into gcc-lib
- add libobjc.so symlink

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 3.0-1
- new rpm
